<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>ServerSecurityConfig.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">astrapay-otp</a> &gt; <a href="index.source.html" class="el_package">com.astrapay.otp.config</a> &gt; <span class="el_source">ServerSecurityConfig.java</span></div><h1>ServerSecurityConfig.java</h1><pre class="source lang-java linenums">package com.astrapay.otp.config;

import com.astrapay.otp.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;
import org.springframework.security.authentication.AuthenticationManager;
import org.springframework.security.config.annotation.authentication.builders.AuthenticationManagerBuilder;
import org.springframework.security.config.annotation.method.configuration.EnableGlobalMethodSecurity;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.config.annotation.web.configuration.EnableWebSecurity;
import org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter;
import org.springframework.security.crypto.password.PasswordEncoder;
import javax.servlet.ServletContext;

@Configuration
@EnableWebSecurity
@EnableGlobalMethodSecurity(securedEnabled=true, prePostEnabled = true)
@Import(Encoders.class)
<span class="fc" id="L21">public class ServerSecurityConfig extends WebSecurityConfigurerAdapter {</span>
    @Autowired
    private UserService userDetailsService;

    @Autowired
    private PasswordEncoder userPasswordEncoder;

    @Autowired
    private ServletContext servletCtx;

    @Override
    @Bean
    public AuthenticationManager authenticationManagerBean() throws Exception {
<span class="fc" id="L34">        return super.authenticationManagerBean();</span>
    }

    @Override
    protected void configure(AuthenticationManagerBuilder auth) throws Exception {
<span class="fc" id="L39">        auth.userDetailsService(userDetailsService).passwordEncoder(userPasswordEncoder);</span>
<span class="fc" id="L40">    }</span>

    @Override
    protected void configure(HttpSecurity http) throws Exception {
<span class="fc" id="L44">        String ctxPath = servletCtx.getContextPath();</span>
<span class="pc bpc" id="L45" title="1 of 2 branches missed.">        if (&quot;/&quot;.equals(ctxPath)) {</span>
<span class="nc" id="L46">            ctxPath = &quot;&quot;;</span>
        }
<span class="fc" id="L48">        http.csrf().disable().authorizeRequests()</span>
<span class="fc" id="L49">                .antMatchers(&quot;/health&quot;).permitAll()</span>
<span class="fc" id="L50">                .antMatchers(&quot;/**&quot;).authenticated();</span>
<span class="fc" id="L51">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>